/*******************************************************************************
 *	BDS Database Schema Update
 *	T.Barnaby,	BEAM Ltd,	2009-07-01
 *
 *	Update from schema 0 to 1
 *******************************************************************************
 */

/* Add Config table */
CREATE TABLE `Config` (
	`id`		int(1)		NOT NULL auto_increment,
	`name`		VARCHAR(64)	NOT NULL,
	`value`		text		NOT NULL,
	KEY (`id`),
	PRIMARY KEY  (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

INSERT INTO `Config` (`name`, `value`) VALUES ('SchemaVersion','1');

/* Add Control group and bdsBackup user */
INSERT INTO `Users` (`user`, `password`, `name`, `groups`, `email`, `telephone`, `address`, `enabled`) VALUES ('bdsBackup','Z1j0AkjoNipt2','Backup Access','control','','','',1);
INSERT INTO `Groups` (`group`, `description`) VALUES ('control', 'Control access');
UPDATE Users set `groups` = 'admin,control,dataAdd,dataDelete,userAdmin' where `user` = 'root' or `user` = 'testAdmin';

/* Add state variable to DataFiles */
ALTER TABLE `DataFiles` add COLUMN `state`  VARCHAR(16);
UPDATE DataFiles set `state` = 'ok';

/* Add source field to meta data */
ALTER TABLE `Calibrations` add COLUMN `source`  VARCHAR(16);
ALTER TABLE `Calibrations` drop primary key;
ALTER TABLE `Calibrations` add PRIMARY KEY  (`startTime`,`endTime`,`network`,`station`,`channel`,`source`);

ALTER TABLE `Responses` add COLUMN `source`  VARCHAR(16);
ALTER TABLE `Responses` drop primary key;
ALTER TABLE `Responses` add PRIMARY KEY (`startTime`,`endTime`,`network`,`station`,`channel`,`source`,`name`);

ALTER TABLE `ChannelInstruments` add COLUMN `source`  VARCHAR(16);
ALTER TABLE `ChannelInstruments` drop primary key;
ALTER TABLE `ChannelInstruments` add PRIMARY KEY (`startTime`,`endTime`,`channelId`,`source`);

UPDATE `Calibrations` set `source` = 'Main';
UPDATE `Responses` set `source` = 'Main';
UPDATE `ChannelInstruments` set `source` = 'Main';
UPDATE `DataChannels` set `source` = 'Main';

/* Add Station aliases */
ALTER TABLE `Stations` add COLUMN `alias`  text;

/* Add Sources info */
CREATE TABLE `Sources` (
	`id`			int(1)		NOT NULL auto_increment,
	`source`		VARCHAR(16)	NOT NULL,
	`sourceMeta`		VARCHAR(16)	NOT NULL,
	`alias`			text,
	`description`		text,
	`lastUpdate`		TIMESTAMP	NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
	KEY (`id`),
	PRIMARY KEY  (`source`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `SourcePrioritys` (
	`id`		int(1)		NOT NULL auto_increment,
	`startTime`	VARCHAR(26)	NOT NULL,
	`endTime`	VARCHAR(26)	NOT NULL,
	`source`	VARCHAR(16)	NOT NULL,
	`priority`	int,
	`lastUpdate`	TIMESTAMP	NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
	KEY (`id`),
	PRIMARY KEY  (`startTime`,`endTime`,`source`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

INSERT INTO `Sources` (`source`, `sourceMeta`,`alias`,`description`) VALUES ('Main','Main','S1','Standard source');
INSERT INTO `Sources` (`source`, `sourceMeta`, `alias`,`description`) VALUES ('Scream','Main','S2','Data from Scream feed');
INSERT INTO `SourcePrioritys` (`startTime`, `endTime`,`source`, `priority`) VALUES ('1900-01-01','8000-01-01','Main','5');
INSERT INTO `SourcePrioritys` (`startTime`, `endTime`,`source`, `priority`) VALUES ('1900-01-01','8000-01-01','Scream','3');
