/*******************************************************************************
 *	BDS Database Schema Update
 *	T.Barnaby,	BEAM Ltd,	2010-02-09
 *
 *	Update from schema 4 to 5
 *******************************************************************************
 *
 * Note not complete. Needs to copy old depth,horizontalAngle and verticalAngle.
 */

/* Update tables */
ALTER TABLE `Calibrations` add COLUMN `name` VARCHAR(16);
ALTER TABLE `Calibrations` drop primary key;
ALTER TABLE `Calibrations` add PRIMARY KEY (`startTime`,`endTime`,`network`,`station`,`channel`,`source`,`name`);
UPDATE `Calibrations` set `name` = 'Main';

/* Set id's attribute to be unique */
alter table Config add unique(id);
alter table Users add unique(id);
alter table Groups add unique(id);
alter table AccessGroups add unique(id);
alter table Networks add unique(id);
alter table NetworkStations add unique(id);
alter table Stations add unique(id);
alter table ArrayChannels add unique(id);
alter table StationLocations add unique(id);
alter table Channels add unique(id);
alter table Sources add unique(id);
alter table SourcePrioritys add unique(id);
alter table Calibrations add unique(id);
alter table ChannelInstruments add unique(id);
alter table Digitisers add unique(id);
alter table Sensors add unique(id);
alter table SensorLocations add unique(id);
alter table Responses add unique(id);
alter table DataFiles add unique(id);
alter table DataChannels add unique(id);
alter table Notes add unique(id);
alter table Changes add unique(id);
alter table ChangeGroups add unique(id);

alter table Calibrations add column `depth` Double NOT NULL;
alter table Calibrations add column `horizontalAngle` Double NOT NULL;
alter table Calibrations add column `verticalAngle` Double NOT NULL;

drop table SensorLocations;

UPDATE `Config` set `value` = '5' where `name` = 'SchemaVersion';
