/*******************************************************************************
 *	BDS Database Schema Update
 *	T.Barnaby,	BEAM Ltd,	2010-05-12
 *
 *	Update from schema 6 to 7
 *******************************************************************************
 *
 */

/* Update tables */
ALTER TABLE AccessGroups ENGINE=InnoDB DEFAULT CHARSET=utf8;
ALTER TABLE ArrayChannels ENGINE=InnoDB DEFAULT CHARSET=utf8;
ALTER TABLE Calibrations ENGINE=InnoDB DEFAULT CHARSET=utf8;
ALTER TABLE ChangeGroups ENGINE=InnoDB DEFAULT CHARSET=utf8;
ALTER TABLE Changes ENGINE=InnoDB DEFAULT CHARSET=utf8;
ALTER TABLE ChannelInstruments ENGINE=InnoDB DEFAULT CHARSET=utf8;
ALTER TABLE Channels ENGINE=InnoDB DEFAULT CHARSET=utf8;
ALTER TABLE Config ENGINE=InnoDB DEFAULT CHARSET=utf8;
ALTER TABLE DataChannels ENGINE=InnoDB DEFAULT CHARSET=utf8;
ALTER TABLE DataFiles ENGINE=InnoDB DEFAULT CHARSET=utf8;
ALTER TABLE Digitisers ENGINE=InnoDB DEFAULT CHARSET=utf8;
ALTER TABLE Groups ENGINE=InnoDB DEFAULT CHARSET=utf8;
ALTER TABLE NetworkStations ENGINE=InnoDB DEFAULT CHARSET=utf8;
ALTER TABLE Networks ENGINE=InnoDB DEFAULT CHARSET=utf8;
ALTER TABLE Notes ENGINE=InnoDB DEFAULT CHARSET=utf8;
ALTER TABLE Responses ENGINE=InnoDB DEFAULT CHARSET=utf8;
ALTER TABLE Sensors ENGINE=InnoDB DEFAULT CHARSET=utf8;
ALTER TABLE SourcePrioritys ENGINE=InnoDB DEFAULT CHARSET=utf8;
ALTER TABLE Sources ENGINE=InnoDB DEFAULT CHARSET=utf8;
ALTER TABLE StationLocations ENGINE=InnoDB DEFAULT CHARSET=utf8;
ALTER TABLE Stations ENGINE=InnoDB DEFAULT CHARSET=utf8;
ALTER TABLE Users ENGINE=InnoDB DEFAULT CHARSET=utf8;

ALTER TABLE `Notes` change COLUMN `type` `type` VARCHAR(16) NOT NULL;
ALTER TABLE `Notes` add COLUMN `startTime` VARCHAR(26) NOT NULL;
ALTER TABLE `Notes` add COLUMN `endTime` VARCHAR(26) NOT NULL;
ALTER TABLE `Notes` add COLUMN `network` VARCHAR(16) NOT NULL;
ALTER TABLE `Notes` add COLUMN `station` VARCHAR(16) NOT NULL;
ALTER TABLE `Notes` add COLUMN `channel` VARCHAR(16) NOT NULL;
ALTER TABLE `Notes` add COLUMN `source` VARCHAR(16) NOT NULL;

CREATE TABLE `Logs` (
	`id`			int(1)		NOT NULL unique auto_increment,
	`time`			VARCHAR(26)	NOT NULL,
	`type`			VARCHAR(16)	NOT NULL,
	`priority`		int(1)		NOT NULL,
	`subSystem`		VARCHAR(32)	NOT NULL,
	`title`			text		NOT NULL,
	`description`		text		NOT NULL,
	`lastUpdate`		TIMESTAMP	NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

UPDATE `Config` set `value` = '7' where `name` = 'SchemaVersion';
